library(mi) 
#https://cran.r-project.org/web/packages/mi/mi.pdfQ
data(nlsyV)

nlsyV2 <- nlsyV
nlsyV2$momed <- as.ordered(nlsyV2$momed)
nlsyV2$momrace <- as.factor(nlsyV2$momrace)
nlsyVlm <- lm(ppvtr.36 ~ first + b.marr + income + momage + momed + momrace, data = nlsyV2)
summary(nlsyVlm)


nlsyV3 <- missing_data.frame(nlsyV)
#library(mi)̒񋟂f[^t[

nlsyV3 <- change(nlsyV3, y = c("income", "momrace"), what = "type", to = c("nonnegative-continuous", "unordered-categorical"))
#library(mi)change֐what="type"ŎƔ񕉘AlA̐l𖼋`JeS[ɁBڍׂhelp(missing_variable)

show(nlsyV3) #p^[̕\
image(nlsyV3) #󋵂̐}
impdats <- mi(nlsyV3, n.iter = 100, n.chains = 4, max.minutes = 30) 
#̖{́Bn.iter͑̌JԂ̏Bn.chainMCMC̕ȃ`F[ƂFCSł͓`B

Rhats(impdats) 
#Gelman and Rubin(1992, Stat. Sci.)RvʂgBʂ1.1ȉȂΎƂB

poolmi <- pool(ppvtr.36 ~ first + b.marr + income + momage + momed + momrace,
data = impdats) 
#͋yѓtF[YBglm̏ŉ͎B

display(poolmi) 

