/* PROC GEEɂIPW@ɂ͂ƁCPROC MIXEDɂMMRMɂ */

%let DataPath = D:\Chapter6;
%let DataName = ACTG193A;
libname DATALIB "&DataPath"; 


/* IPW-GEE, observation level */
proc gee data=datalib.&DataName desc plots=histogram;
  class PATIENT TRT SEQ GENDER;
  missmodel SEQ TRT PREV AGE GENDER/ type=obslevel;   /* missingness model */
  model Y = TRT BASVAL SEQ TRT*SEQ / dist=normal;
  repeated subject=PATIENT / within=SEQ corr=un CORRW;
run;

/* MMRM */
proc mixed data=datalib.&DataName;
  class PATIENT TRT SEQ GENDER;
  model Y = TRT BASVAL SEQ TRT*SEQ/s cl ddfm=kr;
  lsmeans TRT*SEQ;
  repeated SEQ/ type=un subject=PATIENT;
run;

quit;
