# Hausman検定の統計値の計算
hausman.stat <- function(R,D){# D[,1](n\times 2)の平均を使った検定
  n <- dim(D)[1]
  comp.coef <- (n-1)/n
  m <- apply(R,2,sum)[2]
  diff.mean <- mean(D[R[,2]>0,1]) - mean(D[,1])
  diff.var <- ((n-m)/m)* comp.coef * var(D[,1])
  return(n * (diff.mean)^2/diff.var)
}




